services:
  redis:
    image: "docker.io/redis:latest"
    expose:
      - "6379"
  database:
    image: "docker.io/postgres:latest"
    expose:
      - "5432"
    volumes:
      - "dbdata:/var/lib/postgresql/data"
    environment:
      - "POSTGRES_PASSWORD=database123"
  minio:
    image: "docker.io/minio/minio:latest"
    command:
      - "server"
      - "--console-address"
      - ":9001"
      - "/data"
    expose:
      - "9000"
    ports:
      - "9001:9001"
    volumes:
      - "files:/data"
    environment:
      - "MINIO_ROOT_USER=minio_root"
      - "MINIO_ROOT_PASSWORD=toor_oinim"
  dumper:
    build:
      context: "."
      dockerfile: "Dockerfile"
    volumes:
      - "./:/code"
    environment:
      - "AWS_ACCESS_KEY_ID=minio_root"
      - "AWS_SECRET_ACCESS_KEY=toor_oinim"
      - "S3_ENDPOINT=http://minio:9000"
      - "S3_BUCKET=dump-result"
      - "PARALLEL_EXPORT_COUNT=2"
      - "REDIS_URL=redis://redis:6379/0"
volumes:
  dbdata: null
  files: null
